.garageSearch-form .select2-container--default .select2-search--inline .select2-search__field {
    color: var(--color-body);
}

.garageSearch-form .select2-container--default .select2-selection--multiple {
    width: 100%;
    border: 0;
    border-radius: 28px !important;
    height: auto;
    min-height: 40px;
    display: flex;
    justify-content: flex-start;
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__rendered {
    line-height: 40px;
    color: var(--color-body-bg);
    padding-left: 8px;
    padding-right: 8px;
}

.tab-select .select2-container--default .select2-results__option--highlighted[aria-selected],
.tab-select .select2-container--default .select2-results__option[aria-selected=true] {
    color: var(--color-body);
    text-decoration: none;
}

#fixTypeFilterContainer.filled .select2-results__options .select2-results__option:not([aria-selected="true"]) {
    color: var(--color-gray);
}

#fixTypeFilterContainer.filled .select2-results__options .select2-results__option:not([aria-selected="true"])::before {
    background: var(--color-gray-bg);
    border: 1px solid var(--color-gray-bg, #EAEAEA);
}

.brand-filter-group .select2-results__option,
#garageTypeFilterContainer .select2-results__option,
#fixTypeFilterContainer .select2-results__option {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
}

.brand-filter-group .select2-results__option,
#garageTypeFilterContainer .select2-results__option,
#fixTypeFilterContainer .select2-results__option {
    position: relative;
}

.brand-filter-group .select2-results__option::after,
#garageTypeFilterContainer .select2-results__option::after,
#fixTypeFilterContainer .select2-results__option::after {
    content: "\e923";
    font-family: 'iconfont';
    font-size: 8px;
    color: var(--color-theme-blue, #2C67C6);
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 24px;
    width: 16px;
    display: grid;
    line-height: 16px;
    place-items: center;
    opacity: 0;

}

.brand-filter-group .select2-results__option[aria-selected="true"]::after,
#garageTypeFilterContainer .select2-results__option[aria-selected="true"]::after,
#fixTypeFilterContainer .select2-results__option[aria-selected="true"]::after {
    opacity: 1;
}

.brand-filter-group .select2-results__option::before,
#garageTypeFilterContainer .select2-results__option::before,
#fixTypeFilterContainer .select2-results__option::before {
    content: '';
    width: 16px;
    height: 16px;
    border-radius: 4px;
    border: 1px solid var(--color-theme-Blue, #2C67C6);
    background: var(--color-body-bg, #FFF);
    display: inline-flex;
    margin-right: var(--spacing-2xs);
}

.page-garageSearch .input-select.tab-select:not(.filled) .select2-container--default .select2-selection--multiple .select2-selection__rendered .select2-search.select2-search--inline {
    padding-left: 16px;
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__placeholder {
    color: var(--color-theme-blue);
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__arrow {
    height: 40px;
    right: 14px;
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__arrow::before {
    content: '\e90c';
    font-family: 'iconfont';
    font-size: var(--font-size-2xs);
    position: absolute;
    top: 50%;
    right: 6px;
    transform: translateY(-50%);
    color: var(--color-body-bg);
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin-top: 6px;
    color: var(--color-body);
}

.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__arrow b {
    display: none;
}

.garageSearch-form .input-group:not(.brand-filter-group) .select2-container.select2-container--open:has(.select2-dropdown) {
    top: 100% !important;
    bottom: auto !important;
}

.garageSearch-form .input-group:not(.brand-filter-group) .select2-container--open .select2-selection {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    border-top-left-radius: 28px !important;
    border-top-right-radius: 28px !important;
}

.page-garageSearch .select {
    position: relative;
}

.contact-popup.garage-popup {
    pointer-events: all;
    margin-top: var(--header-h);
    overflow-y: auto;
    max-height: calc(100svh - var(--header-h) - var(--spacing-sm));
}

.pin {
    width: 37px;
    height: 37px;
    position: relative;
    display: none;
}

.pin-inner {
    position: absolute;
    top: 4px;
    left: 50%;
    transform: translateX(-50%);
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pin-inner img {
    width: 20px;
    height: 20px;
    object-fit: contain;
}

.garageSearch-form .select2-container--default .select2-results>.select2-results__options {
    max-height: 200px;
}


.garageSearch-form .select2-container--default .select2-search--dropdown .select2-search__field {
    border: 0px;
    border-bottom: 1px solid #EAEAEA;
    border-radius: 0px;
    padding: 8px 0px;
    margin-left: 24px;
    width: calc(100% - 48px);
}

.page-garageSearch .page-intro {
    margin-bottom: var(--spacing-sm);
}

.page-garageSearch .garageSearch-nav {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    position: relative;
    z-index: 9;
}

.page-garageSearch .garageSearch-mode {
    display: inline-flex;
    justify-content: flex-end;
    align-items: stretch;
    background-color: #DEDEDE;
    border-radius: 56px;
}

.page-garageSearch .garageSearch-mode .btn-ico {
    height: 43px;
}

.grid-content.grid-garageSearch {
    display: grid;
    grid-template-columns: 334px auto;
    grid-gap: var(--spacing-md);
}

.page-garageSearch .input-group.input-search::after {
    content: none;
}

.page-garageSearch .grid-searchResult .search-item .btn-main {
    max-height: 28px;
    padding: 0 var(--spacing-2xs);
}

.garage-note {
    display: block;
    margin: var(--spacing-3xs) 0;
}

.page-garageSearch .grid-tab {
    pointer-events: none;
}

.garageSearch-form .form-btn {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    grid-row-gap: var(--spacing-xs);
}

.page-garageSearch .garageSearchTab-container {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    grid-column-gap: var(--spacing-2xs);
    margin-bottom: var(--spacing-sm);
    pointer-events: none;
}
.page-garageSearch .garageSearchTab-container .swiper-container{
    width: 100%;
}
.page-garageSearch .grid-content.grid-search.search-map .garageSearchTab-container {
    padding: var(--spacing-sm) 0;
}

.page-garageSearch .grid-content.grid-search.search-map .garage-tab {
    min-width: 0px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.25);
}

.page-garageSearch .grid-content.grid-search.search-map .garage-count {
    display: none;
}

.page-garageSearch .garageSearchTab-container .garage-tab {
    pointer-events: all;
    transition: all var(--transition) var(--timing-function);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    grid-row-gap: var(--spacing-2xs);
    background-color: var(--color-gray-bg);
    border-radius: 14px;
    padding: var(--spacing-xs);
    cursor: pointer;
    text-decoration: none;
}

.page-garageSearch .garageSearchTab-container .garage-tab:hover {
    background-color: #ddd;
}

.page-garageSearch .garageSearchTab-container .garage-tab.active {
    background-color: var(--tab-color, var(--color-theme-blue));
}

.page-garageSearch .garageSearchTab-container .garage-tab.active:hover {
    background-color: var(--hover-color, var(--color-theme-blue));
}

.page-garageSearch .garageSearchTab-container .garage-tab>.tab-heading {
    display: inline-flex;
    justify-content: flex-start;
    align-items: baseline;
    grid-gap: var(--spacing-3xs);
}
.search-item .garage-standard{
    margin-top: var(--spacing-2xs);
}
.search-item .garage-pill {
    margin-top: var(--spacing-3xs);
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    flex-wrap: wrap;
    grid-gap: var(--spacing-3xs);
}

.garage-pill .ic {
    font-size: 14px;
}

.search-item .garage-rate>* {
    line-height: 16px;
}

.search-item .garage-rate {
    margin-top: var(--spacing-2xs);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    grid-column-gap: var(--spacing-3xs);
}

.search-item .item-phone,
.garage-popup .popup-phone {
    color: var(--color-theme-blue);
}

.popup-phone a:hover {
    text-decoration: underline;
}


.search-item .garage-pill>li,
.garageSearch-form .select2-container--default .select2-selection--multiple .select2-selection__choice {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    grid-gap: var(--spacing-3xs);
    background-color: var(--pill-bg, var(--color-gray-bg));
    color: var(--pill-border, var(--color-body));
    border-radius: 15px;
    height: 28px;
    width: fit-content;
    padding: 0 var(--spacing-2xs);
    font-size: var(--font-size-sm);
}

.garage-popup .grid-content.grid2 {
    align-items: flex-start;
}

.garage-popup .location-label {
    width: 100px;
    flex-shrink: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    grid-gap: var(--spacing-3xs);
    flex-wrap: nowrap;
}

.garage-table {
    border-collapse: separate;
    border-spacing: 0;
}

.garage-popup .grid-content.grid2 .garage-hours {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    grid-column-gap: var(--spacing-xs);
}

#map_overlay>button {
    display: block;
    margin-left: auto;
}

#map_overlay>button .ic {
    font-size: 12px;
    color: var(--color-gray);
}

.overlay-content.garage-popup .grid-content.grid2 {
    grid-template-columns: 100%;
    grid-gap: 0;
}

.overlay-content.garage-popup .garage-map {
    display: none;
}

.garage-table.hours-table {
    border-spacing: 0;
}

.garage-table td {
    vertical-align: text-top;
    padding-bottom: var(--spacing-3xs);
}

.garage-table td:last-child {
    padding-left: var(--spacing-xs);
}

.grid-content.grid-search.search-map .grid-filter {
    position: relative;
    z-index: 99;
    grid-column: 1;
    grid-row: 1;
}

.garageSearch-form>.search-label::after {
    content: "\e900";
    font-family: 'iconfont';
    font-size: 12px;
    font-weight: 300;
    color: var(--color-gray);
    margin-left: auto;
}

.garageSearch-form.is-map-mode {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    max-width: 400px;
    background-color: var(--color-gray-light);
    z-index: 99999;
    padding: var(--spacing-md);
    box-shadow: 2px 0 15px rgba(0, 0, 0, 0.1);
    overflow-y: auto;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
}

.garageSearch-form.is-map-mode.show {
    transform: translateX(0);
}

@media (min-width: 992px) {
    .garageSearch-form:not(.is-map-mode)>.search-label::after{
        content: none;
    }
    .garageSearch-form:not(.is-map-mode) .search-label {
        display: none;
    }
    .grid-filter .filter-container {
        min-height: calc(100svh - var(--header-h));
    }
}

.garageSearch-form .input-note {
    /* margin-top: 8px; */
}
.garageSearch-form .input-group>.select{
    position: relative;
}
.garageSearch-form .input-group>label,
.garageSearch-form .input-group>.select>label {
    display: block;
    margin-bottom: var(--spacing-3xs);
}

#page:has(.garageSearch-form.show) #main::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 99;
}

.search-label {
    cursor: pointer;
}

.grid-content.grid-search:not(.search-map) .grid-filter {
    grid-row: 1;
}

.grid-content.grid-search:not(.search-map) .grid-maps {
    display: none;
}

.grid-content.grid-search.search-map .grid-content.grid-searchResult {
    grid-template-columns: 100%;
}

.grid-content.grid-search.search-map .search-label {
    margin-bottom: 0;
}

.grid-content.grid-search.search-map .grid-context .search-item .btn-main {
    display: none;
}

.c-red {
    color: var(--color-error);
}

.filter-container {
    height: fit-content;
    position: sticky;
    position: -webkit-sticky;
    top: var(--header-h);
}

/* Additional styles for dynamic list */
.search-item {
    cursor: pointer;
    transition: background 0.2s;
}

.search-item.active {
    background-color: #f0f7ff;
    border: 1px solid var(--color-theme-blue);
}

.grid-context.grid-searchResult {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    grid-gap: var(--spacing-sm);
    overflow-anchor: none;
    margin-bottom: var(--spacing-md);
}

.category-group {
    padding: var(--spacing-sm) 0;
}

.category-group:first-child {
    padding-top: 0;
}


.category-group:not(:first-child) {
    border-top: 1px solid var(--color-gray-bg);
}

.category-group:last-child {
    margin-bottom: 0;
}

.category-header {
    margin-bottom: var(--spacing-sm);
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.category-header .fs-h3 {
    color: var(--color-blue);
}

.category-load-more {
    text-align: left;
    margin-top: var(--spacing-md);
}

.grid-context {
    overflow-anchor: none;
}

.search-item:not([style*="display: none"]) {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-2xs);
}

.grid-searchResult>.search-item,
.is-map-mode+.page-garageSearch .garage-popup .search-item {
    gap: var(--spacing-4xs);
}


.search-map #foundEmpty {
    margin-top: var(--spacing-xs);
}

#foundEmpty,
#nearbyEmpty {
    padding: var(--spacing-md);
    text-align: center;
    background-color: var(--color-gray-bg);
    border-radius: 8px;
    color: var(--color-gray);
    grid-column: 1 / -1;
}

.empty-context {
    margin-top: var(--spacing-xs);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: var(--spacing-sm);
}

.grid-maps {
    position: relative;
}

#map_overlay {
    border-radius: 24px;
    position: absolute;
    top: 50%;
    left: var(--spacing-xs);
    transform: translateY(-50%);
    width: 100%;
    max-width: 385px;
    height: fit-content;
    background-color: var(--color-body-bg);
    z-index: 100;
    overflow-y: auto;
    padding: var(--container-padding);
    box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.25);
    display: none;
}

#map_overlay .mfp-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    z-index: 101;
}

#map-canvas {
    width: 100%;
    height: 810px;
    background: #eee;
}

.page-garageSearch .garageSearchTab-container .swiper.auto {
    width: 100%;
    overflow: visible;
}

.page-garageSearch .garageSearchTab-container .swiper.auto .swiper-wrapper {
    overflow: visible;
}

.page-garageSearch .garageSearchTab-container .swiper.auto .swiper-slide {
    width: 200px;
    height: auto;
    overflow: visible;
}

.page-garageSearch .garageSearchTab-container .swiper.auto .swiper-slide:not(:last-child) {
    margin-right: var(--spacing-xs);
}

.garage-popup .garagePopup-btn {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    grid-column-gap: var(--spacing-2xs);

    padding-bottom: var(--spacing-xs);
}

.garage-popup .btn-main.popup-phone-link {
    padding: 0 var(--spacing-2sm);
    background: var(--color-theme-blue);
    position: relative;
    overflow: visible;
}

.garage-popup .btn-main.popup-phone-link span {
    padding-right: var(--spacing-3xs);
}

.garage-popup .btn-main.popup-phone-link .ic {
    font-size: 12px;
}

.garage-popup .popup-phone-list {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(calc(-100% - var(--spacing-2xs)));
    z-index: 9;
    border-radius: 8px;
    border: 1px solid var(--color-gray-bg);
    background: var(--color-body-bg);
    padding: var(--spacing-2xs) var(--spacing-2sm);
    color: var(--color-gray);
}

.garage-popup .popup-phone-list a:hover {
    color: var(--color-theme-blue);
    text-decoration: underline;
}

.page-garageSearch .toggle-nav {
    display: flex;
    justify-content: space-between;
    padding: 0;
    align-items: center;
    padding-bottom: var(--spacing-sm);
}

.is-map-mode+.page-garageSearch .filter-container {
    display: none;
}

.garageSearch-section {
    position: relative;
    z-index: 7;
}

.garageSearch-section .search-label {
    margin-bottom: 0;
    background: var(--color-body-bg);
    padding: 0 var(--spacing-xs);
    border-radius: 36px;
    height: 44px;
    transition: background var(--transition) var(--timing-function);
}

.garageSearch-section .search-label:hover {
    background: #dddddd;
}

.garageSearch-section .result-container .result-label {
    margin-top: var(--spacing-md);
    margin-bottom: 0;
    display: none;
}

.is-map-mode+.page-garageSearch .garageSearch-section .result-container .result-label {
    display: block;
}

#result_touch,
#map_touch {
    display: none;
}
.contact-popup.garage-popup .search-item .garage-standard,
.contact-popup.garage-popup .search-item .garage-rate{
    margin: 0;
}
.contact-popup.garage-popup .search-item .garage-note{
    margin-top: 0;
}
@media (min-width: 992px) {
    .garageSearch-section .toggle-nav>.search-label {
        pointer-events: none;
    }

    .is-map-mode+.page-garageSearch .garageSearch-section .toggle-nav>.search-label {
        pointer-events: auto;
    }

    .is-map-mode+.page-garageSearch .garageSearch-section .result-container .result-label {
        margin-top: 0;
        margin-bottom: var(--spacing-2xs);
    }

    .grid-content.grid-search:not(.search-map) .grid-filter {
        grid-row: 1 / 3;
    }

    .page-garageSearch .grid-content.grid-search.search-map .garageSearchTab-container {
        padding-left: var(--spacing-xs);
    }

    .garageSearch-form {
        display: block !important;
        max-height: calc(100svh - var(--header-h));
        overflow-y: auto;
    }

    .garageSearch-form.is-map-mode {
        max-height: 100svh;
    }

    .grid-content.grid-search.search-map .grid-context {
        overflow-y: auto;
        max-height: calc(810px - var(--spacing-sm));
        grid-column: 1;
        grid-row: 1 / span 2;
    }

    .grid-content.grid-search.search-map .grid-tab {
        grid-column: 2;
        grid-row: 1;
        position: relative;
        z-index: 9;
    }

    .grid-content.grid-search.search-map .grid-maps {
        grid-column: 2;
        grid-row: 1 / span 2;
    }

    .grid-content.grid-search:not(.search-map) .grid-context {
        grid-column: 2;
        /* min-height: 1024px; */
    }


    /* .page-garageSearch .garageSearchTab-container .garage-tab {
        min-width: 200px;
    } */
}

@media (max-width: 991.98px) {
    .garageSearch-section .search-label {
        padding: 0 var(--spacing-2xs);
    }

    .page-garageSearch .toggle-nav+.section-content {
        /* z-index: 100; */
    }

    .page-garageSearch .toggle-nav {
        position: sticky;
        top: var(--header-h);
        z-index: 99;
        padding-bottom: 0;
    }

    .garage-popup .grid-content.grid2 {
        grid-template-columns: 100%;
    }

    .page-garageSearch .garageSearchTab-container .swiper.auto {
        padding: 0 var(--container-padding);
    }

    .page-garageSearch .garageSearchTab-container {
        margin-bottom: 0;
        overflow: hidden;
        width: calc(100% + (var(--container-padding) * 2));
        margin-left: calc(var(--container-padding) * -1);
    }

    #map_overlay>button {
        display: none;
    }

    .overlay-content.garage-popup .garagePopup-btn {
        padding-top: var(--spacing-2xs);
        padding-bottom: 0;
    }

    .overlay-content.garage-popup .garage-collapse {
        padding-top: var(--spacing-3xs);
        max-height: calc(0px + var(--dragging-height, 0px));
        overflow: hidden;
        transition: max-height 0.3s ease-in-out;
    }

    .garage-popup .garage-collapse .garage-note {
        margin-bottom: var(--spacing-xs);
    }

    #map_overlay.active .garage-collapse {
        max-height: calc(100svh - var(--header-h) - var(--spacing-3xl) + var(--dragging-height, 0px));
        overflow-y: auto;
        padding-bottom: 0;
    }

    .result-container.on-dragging,
    #map_overlay.on-dragging,
    #map_overlay.on-dragging .garage-collapse {
        transition: none !important;
    }

    #map_overlay {
        overflow-y: hidden;
        transition: max-height 0.3s ease-in-out;
        top: unset;
        bottom: 0;
        left: 0;
        right: 0;
        transform: unset;
        max-width: 100%;
        padding-top: 0;
        border-top-left-radius: 24px;
        border-top-right-radius: 24px;
        z-index: 1000;
    }

    #map_overlay.active {
        max-height: calc(100svh - var(--header-h));
        overflow-y: auto;
    }

    #map_overlay #map_touch {
        height: 40px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        touch-action: none;
        background: var(--color-body-bg);
        position: sticky;
        top: 0;
        margin: 0 calc(var(--container-padding) * -1);
        border-top-left-radius: 24px;
        border-top-right-radius: 24px;
        z-index: 10;
    }

    #map_overlay #map_touch::before {
        content: '';
        width: 64px;
        height: 8px;
        border-radius: 20px;
        background: #D9D9D9;
        z-index: 99;
    }

    #map_overlay .mfp-close {
        display: none;
    }

    .is-map-mode+.page-garageSearch #result_touch {
        position: sticky;
        top: 0;
        left: calc(var(--container-padding) * -1);
        right: calc(var(--container-padding) * -1);
        height: 40px;
        z-index: 10;
        cursor: pointer;
        display: block;
        touch-action: none;
        background: var(--color-gray-light);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .search-section .result-container {
        position: relative;
    }

    .is-map-mode+.page-garageSearch .search-section .result-container #result_touch::before {
        content: '';
        width: 64px;
        height: 8px;
        border-radius: 20px;
        background: #D9D9D9;
        z-index: 99;
    }

    .is-map-mode+.page-garageSearch .toggle-nav {
        transition: background var(--transition) var(--timing-function);
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        padding: 0 var(--container-padding);
        padding-bottom: var(--spacing-xs);
        padding-top: var(--header-h);
        z-index: 999;
    }

    .page-garageSearch .brand-filter-group {
        position: relative;
    }

    .page-garageSearch #garageTypeFilterContainer,
    .page-garageSearch .grid-filter {
        position: relative;
        z-index: 9;
    }

    .page-garageSearch .garageSearch-mode .btn-ico {
        padding: 0 var(--spacing-2xs);
    }

    #map-canvas {
        height: 100svh;
        min-height: 667px;
    }

    .is-map-mode+.page-garageSearch .page-intro {
        max-height: 0px;
        overflow: visible;
        pointer-events: none;
        padding: 0;
        margin: 0;
    }

    .is-map-mode+.page-garageSearch .page-intro .grid-content.grid-heading {
        border: 0;
        grid-template-columns: 100%;
    }

    .is-map-mode+.page-garageSearch .page-intro .product-heading {
        display: none;
    }

    .is-map-mode+.page-garageSearch .garageSearch-nav {
        /* padding-top: calc(var(--header-h) - 2px); */
    }

    .is-map-mode+.page-garageSearch .garageSearch-nav .garageSearch-mode,
    .is-map-mode+.page-garageSearch .grid-filter .search-label,
    .is-map-mode+.page-garageSearch .grid-context .result-container,
    .is-map-mode+.page-garageSearch .grid-content.grid-search.search-map>.grid-maps {
        pointer-events: all;
    }

    .is-map-mode+.page-garageSearch .grid-filter .search-label {
        width: fit-content;
        padding: var(--spacing-xs);
        height: var(--button-height);
        background-color: var(--color-body-bg);
        border-radius: 39px;
    }

    .is-map-mode+.page-garageSearch .garageSearchTab-container {
        padding-top: calc(var(--header-h) + var(--spacing-xl));
    }

    .is-map-mode+.page-garageSearch .grid-context {
        z-index: 99;
        position: absolute;
        top: calc(var(--header-h) + var(--spacing-4xl));
        left: 0;
        right: 0;
        bottom: 0;
        width: calc(100% + (var(--container-padding) * 2));
        margin-left: calc(var(--container-padding) * -1);
        pointer-events: none;
        display: flex;
        align-items: flex-end;
    }

    .is-map-mode+.page-garageSearch .grid-context .result-container {
        background-color: var(--color-gray-light);
        padding: 0 var(--container-padding);
        border-top-left-radius: 24px;
        border-top-right-radius: 24px;
        height: 100%;
        max-height: calc(80px + var(--dragging-height, 0px));
        width: 100%;
        transition: max-height var(--transition) var(--timing-function);
        overflow-y: hidden;
    }

    .is-map-mode+.page-garageSearch .grid-context .result-container .result-label {
        margin-top: 0px;
        margin-bottom: var(--spacing-sm);
    }

    .is-map-mode+.page-garageSearch .grid-context .result-container.active {
        max-height: calc(100svh - var(--header-h) - var(--spacing-3xl) + var(--dragging-height, 0px));
        overflow-y: auto;
    }

    .is-map-mode+.page-garageSearch .grid-tab {
        z-index: 9;
        padding-top: calc(var(--spacing-3xl) + var(--spacing-xs));
    }

    .is-map-mode+.page-garageSearch .grid-maps {
        width: calc(100% + (var(--container-padding) * 2));
        margin-left: calc(var(--container-padding) * -1);
    }

    .is-map-mode+.page-garageSearch .grid-content.grid-search.search-map {
        position: relative;
        padding-bottom: 0;
    }

    .is-map-mode+.page-garageSearch .garageSearch-section {
        overflow: hidden;
    }

    .is-map-mode+.page-garageSearch .grid-content.grid-search.search-map>* {
        pointer-events: none;
        grid-column: 1;
        grid-row: 1;
    }

    .page-garageSearch .grid-content.grid-search {
        grid-row-gap: var(--spacing-sm);
    }

    .garageSearch-form {
        display: block !important;
        position: fixed;
        left: 0;
        top: 0;
        bottom: 0;
        width: 100%;
        max-width: 100%;
        background-color: var(--color-gray-light);
        z-index: 99999;
        padding: var(--spacing-md);
        box-shadow: 2px 0 15px rgba(0, 0, 0, 0.1);
        overflow-y: auto;
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
    }

    .garageSearch-form.show {
        transform: translateX(0);
    }

    .garageSearch-form .search-label {
        display: flex !important;
    }

    .garageSearch-form.is-map-mode {
        max-width: 100%;
    }

}